# Quick Tutorial

FRET's dashboard summarizes the status of your projects and provides a hierarchical view of all the requirements, as shown below. Prior to creating any projects, the dashboard will not have anything to display and will be blank.  

***

<img src="../screen_shots/Dashboard.png">

***

## Getting started

To get started, select the **Projects** menu pull down to select an existing project, or to create a new project, where your requirements belong.

## Dashboard displays
The dashboard displays all your projects and their corresponding requirements in a hierarchical fashion. Red indicates requirements that cannot be formalized, as opposed to green. You can navigate within the bubble hierarchy, and view requirements summaries by hovering over a requirement bubble. Several statistics are displayed on top of the dashboard.

Recent activity is displayed on the right hand side of the dashboard, where a warning icon exists next to requirements that are not formalized.

As soon as you select a specific project, the dashboard filters the information to your selected project. Moreover, it highlights, in the list of recently edited requirements, those requirements that belong to the selected project.

## Writing requirements

Select the **Create** button to create a new requirement. Fill in a unique requirement identifier, such as *ProjectName-ComponentName-Number*. You will be warned if that requirement ID is already in use. You can optionally specify the requirement ID of a parent requirement, and also a rationale for the requirement. Details on how to write requirements are available [here](./examples/writingReqs.md).

## Sortable table display

To view and edit the requirements in your project in a tabular form, select the _list_ button on the left of the dashboard. More information on this view is available [here](./examples/table.md)


## Other buttons

Import and export buttons are available for saving your requirements or importing requirements written by other users in FRET. This quick tutorial can be accessed by clicking on the question mark button.

[Back to FRET home page](../../userManual.md)
